.lesson .page-container {
    display: flex;
    flex-direction: column;
    margin-left: 0;
    margin-right: 0;
    padding-left: 1rem;
    padding-right: 1rem;
    width: 100%;
}
@media (min-width: 600px) {
    .lesson .page-container {
        padding-left: 1.5rem;
        padding-right: 1.5rem;
    }
}
@media (min-width: 905px) {
    .lesson .page-container {
        flex-direction: row;
        margin-left: auto;
        margin-right: auto;
        padding-left: 0;
        padding-right: 0;
        width: 53.625rem;
    }
}
@media (min-width: 1240px) {
    .lesson .page-container {
        width: 73.5rem;
    }
}
@media (min-width: 1440px) {
    .lesson .page-container {
        width: 79.5rem;
    }
}
.lesson-block {
    border-radius: 1.5rem;
    border-width: 1px;
    display: flex;
    flex-direction: column;
    margin-bottom: 1.5rem;
    width: 100%;
    --tw-border-opacity: 1;
    border-color: rgb(229 239 255 / var(--tw-border-opacity));
    --tw-bg-opacity: 1;
    background-color: rgb(255 255 255 / var(--tw-bg-opacity));
    padding: 0.75rem 1rem 1rem;
    --tw-text-opacity: 1;
    color: rgb(27 37 48 / var(--tw-text-opacity));
}
@media (min-width: 600px) {
    .lesson-block {
        padding: 1.5rem 2rem 2rem;
    }
}
@media (min-width: 905px) {
    .lesson-block {
        width: 35.25rem;
    }
}
@media (min-width: 1240px) {
    .lesson-block {
        margin-bottom: 2rem;
        width: 54.75rem;
    }
}
@media (min-width: 1440px) {
    .lesson-block {
        width: 59.25rem;
    }
}
.lesson-block h1 {
    font-size: 1.75rem;
    font-weight: 700;
    letter-spacing: 0;
    line-height: 2rem;
}
@media (min-width: 905px) {
    .lesson-block h1 {
        font-size: 2rem;
        font-weight: 700;
        letter-spacing: 0;
        line-height: 2.5rem;
    }
}
.lesson-block h2 {
    font-size: 1.5rem;
    font-weight: 800;
    letter-spacing: 0;
    line-height: 2rem;
}
@media (min-width: 905px) {
    .lesson-block h2 {
        font-size: 1.75rem;
        font-weight: 700;
        letter-spacing: 0;
        line-height: 2rem;
    }
}
.lesson-block h3 {
    font-size: 1.25rem;
    font-weight: 600;
    letter-spacing: 0;
    line-height: 1.5rem;
}
@media (min-width: 905px) {
    .lesson-block h3 {
        font-size: 1.5rem;
        font-weight: 800;
        letter-spacing: 0;
        line-height: 2rem;
    }
}
.lesson-block h4 {
    font-size: 1.125rem;
    font-weight: 700;
    letter-spacing: 0;
    line-height: 1.5rem;
}
@media (min-width: 905px) {
    .lesson-block h4 {
        font-size: 1.25rem;
        font-weight: 600;
        letter-spacing: 0;
        line-height: 1.5rem;
    }
}
.lesson-block h5 {
    font-size: 1rem;
    font-weight: 500;
    letter-spacing: 0;
    line-height: 1.25rem;
}
@media (min-width: 905px) {
    .lesson-block h5 {
        font-size: 1.125rem;
        font-weight: 700;
        letter-spacing: 0;
        line-height: 1.5rem;
    }
}
.lesson-block span {
    font-size: 1rem;
    font-weight: 400;
    letter-spacing: 0;
    line-height: 1.25rem;
}
.lesson-block img {
    border-radius: 0.75rem;
    margin-top: 0.5rem;
    -o-object-fit: cover;
    object-fit: cover;
}
.lesson-block iframe,
.lesson-block video {
    margin-top: 0.5rem;
    width: 100%;
}
.lesson-block ol {
    list-style-type: decimal;
    margin-left: 1.5rem;
}
.lesson-block ul {
    list-style-type: disc;
    margin-left: 1.5rem;
}
.lesson-block .article__row {
    -moz-column-gap: 1.5rem;
    column-gap: 1.5rem;
    display: flex;
    flex-direction: row;
}
.lesson-block .article__img-row {
    aspect-ratio: 1/1;
    height: -moz-fit-content;
    height: fit-content;
    min-width: calc(50% - 0.75rem);
    width: calc(50% - 0.75rem);
}
.lesson-block .article__img-wide {
    aspect-ratio: 296/180;
    width: 100%;
}
@media (min-width: 600px) {
    .lesson-block .article__img-wide {
        aspect-ratio: 488/290;
    }
}
@media (min-width: 905px) {
    .lesson-block .article__img-wide {
        aspect-ratio: auto;
        height: 25.5rem;
    }
}
.lesson-block .btn-hashtag {
    margin-right: 0.25rem;
}
.lesson-details,
.lesson-title {
    display: flex;
    flex-direction: column;
}
.lesson-title {
    margin-bottom: 2rem;
    row-gap: 1rem;
}
.lesson-card {
    border-radius: 0.75rem;
    display: flex;
    flex-direction: column;
    height: 20.5rem;
    margin-bottom: 0.063rem;
    margin-top: 0.063rem;
    min-width: 16.75rem;
    position: relative;
    width: 16.75rem;
    --tw-bg-opacity: 1;
    background-color: rgb(255 255 255 / var(--tw-bg-opacity));
    padding: 1rem;
}
@media (min-width: 600px) {
    .lesson-card {
        height: auto;
        margin-bottom: 0;
        margin-top: 0;
        width: calc(50% - 0.5rem);
    }
}
@media (min-width: 905px) {
    .lesson-card {
        border-radius: 1.5rem;
        width: 16.875rem;
    }
}
@media (min-width: 1240px) {
    .lesson-card {
        height: 24rem;
        padding: 1.5rem;
        width: 17.25rem;
    }
}
@media (min-width: 1440px) {
    .lesson-card {
        height: 25.25rem;
        width: 18.75rem;
    }
}
.lesson-card.hover,
.lesson-card:hover {
    --tw-shadow: 0 0 15px 0 rgba(85, 128, 233, 0.11);
    --tw-shadow-colored: 0 0 15px 0 var(--tw-shadow-color);
    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
}
@media (min-width: 1440px) {
    .lesson-card.focus-within,
    .lesson-card:focus-within {
        outline-color: #9aaacc;
        outline-style: solid;
        outline-width: 1px;
    }
}
.lesson-card-image {
    border-radius: 0.5rem;
    height: 9.75rem;
    margin-bottom: 0.75rem;
    overflow: hidden;
    width: 100%;
}
@media (min-width: 905px) {
    .lesson-card-image {
        border-radius: 0.75rem;
    }
}
@media (min-width: 1240px) {
    .lesson-card-image {
        margin-bottom: 1rem;
    }
}
.lesson-card-image img {
    height: 100%;
    -o-object-fit: cover;
    object-fit: cover;
    width: 100%;
}
.lesson-card-title {
    -webkit-line-clamp: 3;
    font-size: 1.125rem;
    font-weight: 700;
    height: 4.5rem;
    letter-spacing: 0;
    line-height: 1.5rem;
}
.lesson-card-description,
.lesson-card-title {
    display: -webkit-box;
    margin-bottom: 0.5rem;
    overflow: hidden;
    -webkit-box-orient: vertical;
}
.lesson-card-description {
    -webkit-line-clamp: 8;
    height: 10rem;
}
.lesson-card-tags {
    align-content: baseline;
    -moz-column-gap: 0.25rem;
    column-gap: 0.25rem;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap-reverse;
    font-size: 0.625rem;
    font-weight: 400;
    height: 1rem;
    letter-spacing: 0;
    line-height: 0.75rem;
    margin-bottom: 0.5rem;
    overflow: hidden;
    row-gap: 0.25rem;
    text-wrap: nowrap;
}
@media (min-width: 1240px) {
    .lesson-card-tags {
        height: 2.25rem;
        margin-bottom: 1rem;
    }
}
@media (min-width: 1440px) {
    .lesson-card-tags {
        height: 3.5rem;
    }
}
.lesson-card-bottom {
    align-items: center;
    display: flex;
    flex-direction: row;
    font-size: 1rem;
    font-weight: 400;
    height: 1.5rem;
    letter-spacing: 0;
    line-height: 1.5rem;
    --tw-text-opacity: 1;
    color: rgb(166 179 205 / var(--tw-text-opacity));
}
.lesson-card-bottom svg {
    height: 1.25rem;
    margin-right: 0.375rem;
    width: 1.25rem;
}
.lesson-card-bottom svg path {
    stroke: #a6b3cd;
}
.lesson-card-bottom span {
    margin-right: 1rem;
}
.lesson-card .preview-text {
    font-size: 1.15rem;
    font-weight: 400;
    letter-spacing: 0;
    line-height: 2rem;
}
.right-block {
    border-radius: 1.5rem;
    height: -moz-fit-content;
    height: fit-content;
    margin-left: 1rem;
    margin-right: 1rem;
    width: calc(100% - 2rem);
    --tw-bg-opacity: 1;
    background-color: rgb(255 255 255 / var(--tw-bg-opacity));
    padding: 2rem;
}
@media (min-width: 600px) {
    .right-block {
        margin-left: 1.5rem;
        margin-right: 1.5rem;
        width: calc(100% - 3rem);
    }
}
@media (min-width: 905px) {
    .right-block {
        margin-right: 0;
        min-width: 16.875rem;
    }
}
@media (min-width: 1240px) {
    .right-block {
        min-width: 17.25rem;
    }
}
@media (min-width: 1440px) {
    .right-block {
        min-width: 18.75rem;
    }
}
.right-block-header {
    font-size: 1.25rem;
    font-weight: 600;
    letter-spacing: 0;
    line-height: 1.5rem;
    margin-bottom: 1.25rem;
}
.right-block-subject {
    border-bottom-width: 1px;
    margin-bottom: 1rem;
    row-gap: 1rem;
    --tw-border-opacity: 1;
    border-bottom-color: rgb(229 239 255 / var(--tw-border-opacity));
    padding-bottom: 1rem;
}
.right-block-subject h4 {
    line-height: 1.25rem;
    margin-bottom: 1rem;
}
.right-block-subject div,
.right-block-subject h4 {
    font-size: 1rem;
    font-weight: 400;
    letter-spacing: 0;
}
.right-block-subject div {
    align-items: center;
    display: flex;
    flex-direction: row;
    line-height: 1.5rem;
    --tw-text-opacity: 1;
    color: rgb(166 179 205 / var(--tw-text-opacity));
}
.right-block-subject div svg {
    height: 1.25rem;
    margin-right: 0.5rem;
    width: 1.25rem;
}
.right-block-subject div svg path {
    stroke: #a6b3cd;
}
.right-block .btn-emails {
    margin-top: 0.25rem;
    width: 100%;
}
.lesson .right-block {
    border-radius: 1rem;
    border-width: 1px;
    height: -moz-fit-content;
    height: fit-content;
    margin-bottom: 1.5rem;
    margin-left: 0;
    margin-right: 0;
    width: 100%;
    --tw-border-opacity: 1;
    border-color: rgb(229 239 255 / var(--tw-border-opacity));
    --tw-bg-opacity: 1;
    background-color: rgb(255 255 255 / var(--tw-bg-opacity));
    padding: 1rem 1.5rem 1.5rem;
}
@media (min-width: 905px) {
    .lesson .right-block {
        margin-left: 1.5rem;
        width: 16.875rem;
    }
}
@media (min-width: 1240px) {
    .lesson .right-block {
        margin-bottom: 2rem;
        width: 17.25rem;
    }
}
@media (min-width: 1440px) {
    .lesson .right-block {
        width: 18.75rem;
    }
}
.lesson .right-block-header {
    font-size: 1.125rem;
    font-weight: 700;
    letter-spacing: 0;
    line-height: 1.5rem;
    margin-bottom: 0.1875rem;
}
.lesson .right-block .line-card {
    height: -moz-fit-content;
    height: fit-content;
    margin-top: 0.8125rem;
    width: -moz-fit-content;
    width: fit-content;
}
@media (min-width: 905px) {
    .lesson .right-block .line-card .line-card__image-wrapper {
        align-items: center;
        display: flex;
    }
}
@media (min-width: 1440px) {
    .lesson .right-block .line-card .line-card__image-wrapper {
        align-items: flex-start;
        display: block;
    }
}
.lesson .right-block .line-card .card-price__wrapper.line-card__price-wrapper.card-price__wrapper--discount {
    -moz-column-gap: 0.375rem;
    column-gap: 0.375rem;
    flex-wrap: nowrap;
    row-gap: 0.125rem;
}
@media (min-width: 905px) {
    .lesson .right-block .line-card .card-price__wrapper.line-card__price-wrapper.card-price__wrapper--discount {
        flex-wrap: wrap;
    }
}
@media (min-width: 1440px) {
    .lesson .right-block .line-card .card-price__wrapper.line-card__price-wrapper.card-price__wrapper--discount {
        flex-wrap: nowrap;
    }
}
.lesson
    .right-block
    .line-card
    .card-price__wrapper.line-card__price-wrapper.card-price__wrapper--discount
    .price-badge {
    font-size: 1rem;
    font-weight: 700;
    letter-spacing: 0;
    line-height: 1.5rem;
    padding: 0;
}
@media (min-width: 905px) {
    .lesson
        .right-block
        .line-card
        .card-price__wrapper.line-card__price-wrapper.card-price__wrapper--discount
        .price-badge {
        padding: 0.25rem 0.75rem;
    }
}
@media (min-width: 1440px) {
    .lesson
        .right-block
        .line-card
        .card-price__wrapper.line-card__price-wrapper.card-price__wrapper--discount
        .price-badge {
        padding: 0;
    }
}
